# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sw_galaxy_map_core"
version = "0.11.0"
authors = ["Alessandro Maestri <umpire274@gmail.com>"]
build = false
exclude = [
    "/target",
    "/res/*.sqlite",
    "/.github",
    "/dev_tools",
    "*.log",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core library for Star Wars galaxy exploration, search, routing, and unknown-planet workflows"
homepage = "https://github.com/umpire274/sw_galaxy_map"
documentation = "https://github.com/umpire274/sw_galaxy_map"
readme = "README.md"
keywords = [
    "star-wars",
    "sqlite",
    "routing",
    "galaxy",
]
categories = [
    "database",
    "algorithms",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/umpire274/sw_galaxy_map"

[lib]
name = "sw_galaxy_map_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.atty]
version = "0.2.14"

[dependencies.chrono]
version = "0.4.44"

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.directories]
version = "6.0.0"

[dependencies.hex]
version = "0.4.3"

[dependencies.regex]
version = "1.12.3"

[dependencies.reqwest]
version = "0.12.28"
features = [
    "blocking",
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.rusqlite]
version = "0.39.0"
features = ["bundled"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.sha2]
version = "0.11.0"

[dependencies.unicode-normalization]
version = "0.1.25"
